
#include "CRC16.h"


unsigned int CRC16(unsigned char *data,unsigned int length)
{
	unsigned int crcValue=0xffff;
	unsigned char i;
	while(length--)
	{
		crcValue^=*data++;
		for(i=0;i<8;i++)
		{
			if(crcValue&0x0001)	crcValue=(crcValue>>1)^0xa001;
			else crcValue=crcValue>>1;
		}
	}
	return (crcValue);
}

