

#include "FairyCLK.h"
#include "define.h"
#ifdef __cplusplus
extern "C"
{
#endif

#ifdef Debug
	#include <stdio.h>
#endif
void NVICInit()
{
	SYS_UnlockReg();
	NVIC_SetPriority(FB_IRQn,1);		//0
	NVIC_SetPriority(ADC_IRQn,0);		//0
	NVIC_SetPriority(PWM_IRQn,1);		//1
	NVIC_SetPriority(TMR0_IRQn,1);		//1
	NVIC_SetPriority(TMR1_IRQn,2);		//2
	NVIC_SetPriority(UART_IRQn,3);		//3
	NVIC_SetPriority(ACMP_IRQn,3);		//3
	NVIC_SetPriority(SysTick_IRQn,3);	//3	
	SYS_LockReg();
}
void FairyCLKInit()
{
	SYS_UnlockReg();
	CLK_WaitClockReady(CLK_CLKSTATUS_IRC22M_STB_Msk);
	CLK_SetHCLK(CLK_CLKSEL0_HCLK_S_IRC22M,CLK_CLKDIV_HCLK(1));		//HCLKʱΪڲʱԴ1Ƶ
	CLK->CLKSEL1 &= 0ul;
	CLK->CLKSEL1 |= ((0xAul<<28)|(0x02ul<<24)|(0X02ul<<2));		//PWM0123,UART,ADCʱԴΪHCLK
	CLK->CLKSEL1 |= ((0x02ul<<12)|(0x02ul<<8));					//TIME0TIME1ʱԴΪHCLK
	CLK->CLKDIV  |= (0x03<<16);									//ADCʱ4Ƶ
	CLK->APBCLK	 |= (CLK_APBCLK_PWM01_EN_Msk|CLK_APBCLK_PWM23_EN_Msk|CLK_APBCLK_UART_EN_Msk|CLK_APBCLK_ADC_EN_Msk);	//ʹʱ
	CLK->APBCLK	 |= (CLK_APBCLK_TMR0_EN_Msk|CLK_APBCLK_TMR1_EN_Msk|CLK_APBCLK_CMP_EN_Msk);	//ʹܶʱ0,1ԼģȽʱ
	SystemCoreClockUpdate();
	NVICInit();
	SYS_LockReg();	
}
#ifdef __cplusplus
}
#endif	


