
#include "Mini51Series.h"
#include "SYS.h"
#include "GPIO.h"


#ifdef __cplusplus
extern "C"
{
#endif
	
#define GreenLED		P04
#define GreenLEDPort	P0
#define GreenLEDPin		BIT4
#define SetGreenLED()	GreenLED=1
#define	ClrGreenLED()	GreenLED=0

#define RedLED			P05
#define RedLEDPort		P0
#define	RedLEDPin		BIT5
#define SetRedLED()		RedLED=1
#define ClrRedLED()		RedLED=0

#define Buzz			P54
#define BuzzPort	P5
#define BuzzPin		BIT4
#define SetBuzz()	Buzz=1
#define ClrBuzz()	Buzz=0

#define Fan			P26
#define FanPort		P2
#define FanPin		BIT6
#define SetFan()	Fan=1
#define ClrFan()	Fan=0

#define Conv		P35
#define	ConvPort	P3
#define	ConvPin		BIT5
#define	SetConv()	Conv=1
#define	ClrConv()	Conv=0

#define AD1			P50
#define AD1Port		P5
#define	AD1Pin		BIT0
#define SetAD1()	AD1=1
#define ClrAD1()	AD1=0
#define AD1IOInit()	SYS->P5_MFP&=~(SYS_MFP_P50_Msk); SYS->P0_MFP|=(SYS_MFP_P50_GPIO)

#define	AD2			P51
#define	AD2Port		P5
#define AD2Pin		BIT1
#define SetAD2()	AD2=1
#define ClrAD2()	AD2=0
#define AD2IOInit()	SYS->P5_MFP&=~(SYS_MFP_P51_Msk); SYS->P0_MFP|=(SYS_MFP_P51_GPIO)

void FairyIOInit(void);

#ifdef __cplusplus
}
#endif


