
#include "FairyCLK.h"
#include "FairyUART.h"
#include "define.h"
#include "RTL.h"

OS_TID t_TaskC,t_TaskA;
__task  void TaskC(void)
{
	while(1)
	{
		os_dly_wait(100);
	}
}
__task	void TaskA(void)
{
	while(1)
	{
		t_TaskA=os_tsk_self();
		t_TaskC=os_tsk_create(TaskC,0);
		os_tsk_delete_self();
	}
}


int main()
{
	FairyCLKInit();
	FairyUARTInit();
	os_sys_init(TaskA);	
}

